[Pkg-haskell-commits] darcs: ghc: Import of ghc6_6.4-2.dsc

Ian Lynagh (wibble) igloo at debian.org
Sat Jan 15 06:06:42 UTC 2011


Mon Mar 21 03:26:35 UTC 2005  Ian Lynagh (wibble) <igloo at debian.org>
  * Import of ghc6_6.4-2.dsc

    M ./changelog +17
    M ./control -3 +3
    A ./ghc6-hopengl.postinst.in
    A ./ghc6-hopengl.prerm.in
    M ./rules -1 +21
    M ./scripts.mk +1

Mon Mar 21 03:26:35 UTC 2005  Ian Lynagh (wibble) <igloo at debian.org>
  * Import of ghc6_6.4-2.dsc
diff -rN -u old-ghc/changelog new-ghc/changelog
--- old-ghc/changelog	2011-01-15 06:06:42.158157198 +0000
+++ new-ghc/changelog	2011-01-15 06:06:42.466173424 +0000
@@ -1,3 +1,20 @@
+ghc6 (6.4-2) experimental; urgency=low
+
+  * Don't create user package.conf if not modifying.
+  * Change "#ifdef darwin_REGS" to "#if darwin_REGS" in
+    ghc/includes/MachRegs.h to fix build on powerpc (from upstream CVS).
+  * Add powerpc to the list of arches to do a registerised build with
+    object splitting.
+  * Fix checkFEDArgs in ghc/compiler/typecheck/TcForeign.lhs so it compiles
+    again.
+  * Remove OpenGL and GLUT packages from package.conf.shipped.
+    Have the postinst/prerm add/remove them.
+  * ghc6-hopengl provides libghc6-{opengl,glut}-{dev,prof}
+  * Other exposed libraries are provided as libghc6-foo-dev by ghc6 and
+    libghc6-foo-prof by ghc6-prof.
+
+ -- Ian Lynagh (wibble) <igloo at debian.org>  Mon, 21 Mar 2005 03:26:35 +0000
+
 ghc6 (6.4-1) experimental; urgency=low
 
   * New upstream release; just for experimental for now.
diff -rN -u old-ghc/control new-ghc/control
--- old-ghc/control	2011-01-15 06:06:42.154156988 +0000
+++ new-ghc/control	2011-01-15 06:06:42.466173424 +0000
@@ -8,7 +8,7 @@
 Package: ghc6
 Architecture: any
 Depends: haskell-utils, perl | perl5, gcc-3.3 (>= 1:3.3.4), libgmp3-dev, ${shlibs:Depends}, ${misc:Depends}, ${readline}
-Provides: haskell-compiler, ghc
+Provides: haskell-compiler, ghc, ${provided-devs}
 Conflicts: ghc4 (<= 4.08.1-4)
 Suggests: ghc6-prof, ghc6-doc, haskell-doc
 Description: GHC - the Glasgow Haskell Compilation system
@@ -25,7 +25,7 @@
 Section: devel
 Architecture: any
 Depends: ghc6 (= ${Source-Version}), xlibmesa-gl-dev, xlibmesa-glu-dev, libglut3-dev, ${shlibs:Depends}, ${misc:Depends}
-Provides: ghc-hopengl
+Provides: ghc-hopengl, libghc6-opengl-dev, libghc6-opengl-prof, libghc6-glut-dev, libghc6-glut-prof
 Suggests: ghc6-doc
 Description: HOpenGL libraries for the Glasgow Haskell Compilation system
  This package contains additional HOpenGL libraries, including suitable
@@ -37,7 +37,7 @@
 Package: ghc6-prof
 Section: devel
 Architecture: any
-Provides: ghc-prof
+Provides: ghc-prof, ${provided-profs}
 Depends: ghc6 (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Profiling libraries for the Glasgow Haskell Compilation system
  Version 6 of the Glorious Glasgow Haskell Compilation system (GHC).  GHC is
diff -rN -u old-ghc/ghc6-hopengl.postinst.in new-ghc/ghc6-hopengl.postinst.in
--- old-ghc/ghc6-hopengl.postinst.in	1970-01-01 00:00:00.000000000 +0000
+++ new-ghc/ghc6-hopengl.postinst.in	2011-01-15 06:06:42.466173424 +0000
@@ -0,0 +1,45 @@
+#! /bin/sh
+# postinst script for ghc6-hopengl
+#
+# SOURCE: postinst.in
+set -e
+
+execdir=/usr/bin
+libdir=/usr/lib/ghc- at VERSION@
+bindir=$libdir/bin
+mandir=/usr/share/man
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see /usr/doc/packaging-manual/
+#
+# quoting from the policy:
+#     Any necessary prompting should almost always be confined to the
+#     post-installation script, and should be protected with a conditional
+#     so that unnecessary prompting doesn't happen if a package's
+#     installation fails and the `postinst' is called with `abort-upgrade',
+#     `abort-remove' or `abort-deconfigure'.
+
+case "$1" in
+    configure|abort-upgrade|abort-remove|abort-deconfigure)
+        $bindir/ghc-pkg update $libdir/package.conflets/OpenGL.package.conf
+        $bindir/ghc-pkg update $libdir/package.conflets/GLUT.package.conf
+    ;;
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff -rN -u old-ghc/ghc6-hopengl.prerm.in new-ghc/ghc6-hopengl.prerm.in
--- old-ghc/ghc6-hopengl.prerm.in	1970-01-01 00:00:00.000000000 +0000
+++ new-ghc/ghc6-hopengl.prerm.in	2011-01-15 06:06:42.466173424 +0000
@@ -0,0 +1,39 @@
+#! /bin/sh
+# prerm script for ghc6-hopengl
+#
+# SOURCE: prerm.in
+
+set -e
+
+execdir=/usr/bin
+libdir=/usr/lib/ghc- at VERSION@
+bindir=$libdir/bin
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see /usr/doc/packaging-manual/
+
+case "$1" in
+    remove|upgrade|deconfigure|failed-upgrade)
+        $bindir/ghc-pkg unregister GLUT
+        $bindir/ghc-pkg unregister OpenGL
+    ;;
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
diff -rN -u old-ghc/rules new-ghc/rules
--- old-ghc/rules	2011-01-15 06:06:42.154156988 +0000
+++ new-ghc/rules	2011-01-15 06:06:42.466173424 +0000
@@ -35,7 +35,7 @@
 
 	echo "SGMLDocWays   := html dvi ps" > mk/build.mk
 	echo "GhcRTSWays += debug_p thr_debug thr_debug_p" >> mk/build.mk
-ifeq '$(findstring $(shell dpkg-architecture -qDEB_HOST_ARCH), i386 sparc)' ''
+ifeq '$(findstring $(shell dpkg-architecture -qDEB_HOST_ARCH), i386 powerpc sparc)' ''
 	echo "GhcUnregisterised=YES" >> mk/build.mk
 	echo "SplitObjs=NO" >> mk/build.mk
 endif
@@ -91,6 +91,7 @@
 
 	echo "readline=`grep-status -r -FProvides '\<libreadline-dev\>' -a -FStatus installed -s Package -n | tr '\n' ,`" >> debian/ghc6.substvars
 
+	# Install the basic stuff
 	$(MAKE) prefix=`pwd`/debian/tmp/usr install
 	$(MAKE) prefix=`pwd`/debian/ghc6-doc/usr \
 	    datadir='$${prefix}/share/doc/ghc6-doc' install-docs
@@ -117,8 +118,27 @@
 	    | sort | uniq -u > debian/ghc6.install
 	dh_install
 	/usr/bin/install -c -m 755 -d debian/ghc6/usr/bin
+	
+	# Sort out the package.conf files
+	ghc/utils/ghc-pkg/ghc-pkg-inplace unregister GLUT -f \
+	    debian/ghc6/usr/lib/ghc-$(ProjectVersion)/package.conf
+	ghc/utils/ghc-pkg/ghc-pkg-inplace unregister OpenGL -f \
+	    debian/ghc6/usr/lib/ghc-$(ProjectVersion)/package.conf
 	mv debian/ghc6/usr/lib/ghc-$(ProjectVersion)/package.conf \
 	   debian/ghc6/usr/lib/ghc-$(ProjectVersion)/package.conf.shipped
+	/usr/bin/install -c -m 755 -d \
+	    debian/ghc6-hopengl/usr/lib/ghc-$(ProjectVersion)/package.conflets
+	cp libraries/OpenGL/package.conf.installed debian/ghc6-hopengl/usr/lib/ghc-$(ProjectVersion)/package.conflets/OpenGL.package.conf
+	cp libraries/GLUT/package.conf.installed debian/ghc6-hopengl/usr/lib/ghc-$(ProjectVersion)/package.conflets/GLUT.package.conf
+	PACKAGE=`ghc/utils/ghc-pkg/ghc-pkg-inplace list -f debian/ghc6/usr/lib/ghc-6.4/package.conf.shipped | perl -ne 'print if $$foo; $$foo = 1 if /^debian/' | tr '\n,A-Z' '  a-z' | sed -e "s/([^)]*)//g" -e "s/-[0-9]\+\(\.[0-9]\+\)*//g" -e "s/^ *//" -e "s/ *$$//" -e "s/  */, /g"`; \
+	    { echo -n "provided-devs="; \
+	      echo "$$PACKAGE" | sed -e "s/\([a-z0-9.-]\+\)/libghc6-\1-dev/g"; } \
+	          >> debian/ghc6.substvars; \
+	    { echo -n "provided-profs="; \
+	      echo "$$PACKAGE" | sed -e "s/\([a-z0-9.-]\+\)/libghc6-\1-prof/g"; } \
+	          >> debian/ghc6-prof.substvars \
+	
+	# Sort out the binaries
 	cd debian/ghc6/usr/lib/ghc-$(ProjectVersion)/bin && \
 	    for f in *-$(ProjectVersion); \
 	    do ln -s /usr/lib/ghc-$(ProjectVersion)/bin/$$f \
diff -rN -u old-ghc/scripts.mk new-ghc/scripts.mk
--- old-ghc/scripts.mk	2011-01-15 06:06:42.154156988 +0000
+++ new-ghc/scripts.mk	2011-01-15 06:06:42.446172371 +0000
@@ -3,6 +3,7 @@
 include ghc/mk/version.mk
 
 FILES = debian/ghc6.postinst debian/ghc6.prerm debian/ghc6.postrm \
+        debian/ghc6-hopengl.postinst debian/ghc6-hopengl.prerm \
 		debian/flags.xsl
 
 .PHONY: all clean





More information about the Pkg-haskell-commits mailing list